Bug 990115 - [abrt] WARNING: at drivers/gpu/drm/i915/intel_display.c:979 intel_wait_for_pipe_off+0xfb/0x1c0 [i915]()
[abrt] WARNING: at drivers/gpu/drm/i915/intel_display.c:979 intel_wait_for_pi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:3332d00e8fd12e90e0b27b0ed59...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 08:24 EDT by peter.senna
Modified: 2015-02-17 11:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:26:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (72.71 KB, text/plain)
2013-07-30 08:25 EDT, peter.senna
no flags Details
Screenshot of error related to resolution (836.83 KB, image/jpeg)
2013-08-02 07:32 EDT, peter.senna
no flags Details

  None (edit)
Description peter.senna 2013-07-30 08:24:55 EDT
Additional info:
reporter:       libreport-2.1.5
WARNING: at drivers/gpu/drm/i915/intel_display.c:979 intel_wait_for_pipe_off+0xfb/0x1c0 [i915]()
pipe_off wait timed out
Modules linked in: i915(+) i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 2 PID: 121 Comm: systemd-udevd Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: TOSHIBA PORTEGE R830/Portable PC, BIOS Version 4.10   01/08/2013
 0000000000000009 ffff880435b6d368 ffffffff81643216 ffff880435b6d3a0
 ffffffff8105c211 0000000000070008 ffff8804357a0000 00000000fffb7278
 ffff880435b6dfd8 ffff8804357a0000 ffff880435b6d400 ffffffff8105c27c
Call Trace:
 [<ffffffff81643216>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa00a88eb>] intel_wait_for_pipe_off+0xfb/0x1c0 [i915]
 [<ffffffffa00a8b44>] intel_disable_pipe+0x194/0x220 [i915]
 [<ffffffffa00a94b6>] ironlake_crtc_disable+0xc6/0x8d0 [i915]
 [<ffffffffa00b76d9>] ? intel_lvds_compute_config+0x2f9/0x480 [i915]
 [<ffffffffa00ab1c4>] __intel_set_mode+0x4b4/0xcb0 [i915]
 [<ffffffff812f0c31>] ? vsnprintf+0x411/0x670
 [<ffffffffa00b28b6>] intel_set_mode+0x16/0x30 [i915]
 [<ffffffffa00b3010>] intel_crtc_set_config+0x640/0x930 [i915]
 [<ffffffffa002bb23>] drm_mode_set_config_internal+0x23/0x50 [drm]
 [<ffffffffa0075511>] drm_fb_helper_set_par+0x71/0xf0 [drm_kms_helper]
 [<ffffffff8133ce24>] fbcon_init+0x504/0x580
 [<ffffffff813adabc>] visual_init+0xbc/0x120
 [<ffffffff813b0413>] do_bind_con_driver+0x163/0x330
 [<ffffffff813b0b19>] do_take_over_console+0x49/0x60
 [<ffffffff81338673>] do_fbcon_takeover+0x63/0xd0
 [<ffffffff8133d98d>] fbcon_event_notify+0x60d/0x720
 [<ffffffff8164d1cc>] notifier_call_chain+0x4c/0x70
 [<ffffffff8108641d>] __blocking_notifier_call_chain+0x4d/0x70
 [<ffffffff81086456>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8132f29b>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff813308bd>] register_framebuffer+0x1dd/0x310
 [<ffffffffa00751bf>] drm_fb_helper_initial_config+0x32f/0x500 [drm_kms_helper]
 [<ffffffffa002a62f>] ? drm_mode_config_reset+0xcf/0xf0 [drm]
 [<ffffffffa007464e>] ? drm_fb_helper_init+0xfe/0x200 [drm_kms_helper]
 [<ffffffff8117eda6>] ? kmem_cache_alloc_trace+0x1e6/0x240
 [<ffffffffa00d02e1>] intel_fbdev_initial_config+0x21/0x30 [i915]
 [<ffffffffa00861bc>] i915_driver_load+0xd7c/0xdb0 [i915]
 [<ffffffffa0027636>] drm_get_pci_dev+0x166/0x280 [drm]
 [<ffffffffa008171c>] i915_pci_probe+0x3c/0x90 [i915]
 [<ffffffff81313fce>] local_pci_probe+0x3e/0x70
 [<ffffffff813152b1>] pci_device_probe+0x121/0x130
 [<ffffffff813db617>] driver_probe_device+0x87/0x390
 [<ffffffff813db9f3>] __driver_attach+0x93/0xa0
 [<ffffffff813db960>] ? __device_attach+0x40/0x40
 [<ffffffff813d9603>] bus_for_each_dev+0x63/0xa0
 [<ffffffff813db08e>] driver_attach+0x1e/0x20
 [<ffffffff813dac28>] bus_add_driver+0x1e8/0x2a0
 [<ffffffffa0118000>] ? 0xffffffffa0117fff
 [<ffffffff813dc031>] driver_register+0x71/0x150
 [<ffffffffa0118000>] ? 0xffffffffa0117fff
 [<ffffffff81313e5b>] __pci_register_driver+0x4b/0x50
 [<ffffffffa002786a>] drm_pci_init+0x11a/0x130 [drm]
 [<ffffffffa0118000>] ? 0xffffffffa0117fff
 [<ffffffffa0118066>] i915_init+0x66/0x68 [i915]
 [<ffffffff810020e2>] do_one_initcall+0xe2/0x190
 [<ffffffff810bf825>] load_module+0x1bb5/0x2650
 [<ffffffff81305550>] ? ddebug_proc_write+0xf0/0xf0
 [<ffffffff810c0456>] SyS_finit_module+0x86/0xb0
 [<ffffffff81651819>] system_call_fastpath+0x16/0x1b
Comment 1 peter.senna 2013-07-30 08:25:01 EDT
Created attachment 780605 [details]
File: dmesg
Comment 2 peter.senna 2013-07-30 08:28:13 EDT
I'm using high resolution monitor with custom configuration. Here is the script that I call to enable the high res mode:

#!/bin/bash
H=2560
V=1440
Hz=40

MODELINE=$(gtf $H $V $Hz|grep Modeline|cut -d " " -f 4-)
NAME=$(echo $MODELINE|cut -d " " -f 1)
xrandr --newmode $MODELINE
xrandr --addmode HDMI3 $NAME
xrandr --output HDMI3 --mode $NAME
Comment 3 peter.senna 2013-08-02 07:32:26 EDT
Created attachment 781942 [details]
Screenshot of error related to resolution

This message is being shown after login...
Comment 4 Fedora End Of Life 2015-01-09 14:10:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:26:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.